build geany in ubuntu

To install the latest version of Geany, you will need to download the soure package and build it yourself, as the version on ubuntu 18 is a bit old.here is the steps I took to compile it.

untar the source package and cd into it

it throws up errors of missing dependencies without installing some packages.

specifically, you need to install intltoo,l pkg-config, libgtk2.0-dev, and build-essential

sudo apt install intltool pkg-config libgtk2.0-dev build-essential

afterwards, run

./configure && make && make install